aboutsummaryrefslogtreecommitdiffstats
path: root/yardstick/benchmark/scenarios/networking/ping6_benchmark.bash
diff options
context:
space:
mode:
authorkubi <jean.gaoliang@huawei.com>2015-12-31 14:38:49 +0800
committerJörgen Karlsson <jorgen.w.karlsson@ericsson.com>2016-01-08 14:09:18 +0000
commit169aadbf7fbfea8ad86011fbac62ccbc0e1c3bf7 (patch)
treec965bb53d0ac66d83354a7b0b3edc0a3345a3945 /yardstick/benchmark/scenarios/networking/ping6_benchmark.bash
parent0bbef8513b2ed9166d57e3467d62c823a134d4e6 (diff)
support for ipv6
JIRA:YARDSTICK-187 Change-Id: I1cecd400b4449a09d22d43f4a42e889f00dd4fe7 Signed-off-by: kubi <jean.gaoliang@huawei.com> (cherry picked from commit cd80b44f3fd9b8c9e2afc51bc67d7a5cf34fb1c6)
Diffstat (limited to 'yardstick/benchmark/scenarios/networking/ping6_benchmark.bash')
-rw-r--r--yardstick/benchmark/scenarios/networking/ping6_benchmark.bash20
1 files changed, 20 insertions, 0 deletions
diff --git a/yardstick/benchmark/scenarios/networking/ping6_benchmark.bash b/yardstick/benchmark/scenarios/networking/ping6_benchmark.bash
new file mode 100644
index 000000000..6df354a1b
--- /dev/null
+++ b/yardstick/benchmark/scenarios/networking/ping6_benchmark.bash
@@ -0,0 +1,20 @@
+#!/bin/bash
+
+##############################################################################
+# Copyright (c) 2015 Huawei Technologies Co.,Ltd and others.
+#
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Apache License, Version 2.0
+# which accompanies this distribution, and is available at
+# http://www.apache.org/licenses/LICENSE-2.0
+##############################################################################
+
+# Run a single ping6 command towards a ipv6 router
+
+set -e
+
+# TODO find host
+sudo ip netns exec qdhcp-$(neutron net-list | grep -w ipv4-int-network1 | awk '{print $2}') bash
+# TODO find VM ip
+ssh -i vRouterkey fedora@20.0.0.4
+ping6 -c 1 2001:db8:0:1::1 | grep ttl | awk -F [=\ ] '{printf $10}'